<?php

namespace ThurData\Servers\KerioEmail\App\UI\Client\Ressource\Sections;

use ThurData\Servers\KerioEmail\App\Traits\FormExtendedTrait;
use ThurData\Servers\KerioEmail\App\UI\Admin\Custom\Sections\FreeFieldsSection;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Fields\Text;

/**
 *
 * Created by PhpStorm.
 * User: ThurData
 * Date: 12.11.19
 * Time: 13:42
 * Class AdditionalSection
 */
class AdditionalSection extends FreeFieldsSection
{
    protected $id   = 'additionalSection';
    protected $name = 'additionalSection';

    use FormExtendedTrait;

    public function initContent()
    {
        $this->generateDoubleSection([new Text('contact'), new Text('site')]);

        $this->generateDoubleSection([new Text('contact_mail'), new Text('contact_phone')]);

        $this->generateDoubleSection([new Text('street'), new Text('building')]);

        $this->generateDoubleSection([new Text('floor'), new Text('room')]);

        $this->generateDoubleSection([new Text('post_code'), new Text('town')]);

        $this->generateDoubleSection([new Text('state'), new Text('county')]);

    }
}